Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ZOrderRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ZOrderRequest

public class ZOrderRequest
extends Request

A Request to change the Z-Order

Field Summary
`protected java.util.List` `editParts` List of `EditPart` objects to be ordered
`static java.lang.String` `REQ_BRING_FORWARD` the type for bring forward request
`static java.lang.String` `REQ_BRING_TO_FRONT` the type for bring to front request
`static java.lang.String` `REQ_SEND_BACKWARD` the type for send backward request
`static java.lang.String` `REQ_SEND_TO_BACK` the type for send to back request

Constructor Summary
`ZOrderRequest(java.lang.String type)` Creates a ZOrderRequest with a specified type.

Method Summary
`java.util.List` `getPartsToOrder()` Gets the editparts to order.
`void` `setPartsToOrder(java.util.List theEditParts)` Sets the editparts to order.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQ_BRING_TO_FRONT

    public static final java.lang.String REQ_BRING_TO_FRONT

  the type for bring to front request

  See Also:
    Constant Field Values

### REQ_SEND_TO_BACK

    public static final java.lang.String REQ_SEND_TO_BACK

  the type for send to back request

  See Also:
    Constant Field Values

### REQ_BRING_FORWARD

    public static final java.lang.String REQ_BRING_FORWARD

  the type for bring forward request

  See Also:
    Constant Field Values

### REQ_SEND_BACKWARD

    public static final java.lang.String REQ_SEND_BACKWARD

  the type for send backward request

  See Also:
    Constant Field Values

### editParts

    protected java.util.List editParts

  List of `EditPart` objects to be ordered

Constructor Detail

### ZOrderRequest

    public ZOrderRequest(java.lang.String type)

  Creates a ZOrderRequest with a specified type.

Parameters:
  `type` -

Method Detail

### setPartsToOrder

    public void setPartsToOrder(java.util.List theEditParts)

  Sets the editparts to order.

  Parameters:
    `theEditParts` - List of `EditPart` objects

### getPartsToOrder

    public java.util.List getPartsToOrder()

  Gets the editparts to order.

  Returns:
    List of `EditPart` objects; null if this was never set

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.